﻿<div class="{{ $pageRouteServ.pageObject.HRi.class }}"
    ng-controller="hriCtrl as hrictl"
    ng-init="hrictl.init()">
    <div class="dialogin" ng-if="hrictl.showForm">
        <div class="panel noborder">
            <div class="panel-body nopadding">
                <div class="text-center" loading-container="hrictl.tableList.settings().$loading">
                    <table class="table table-striped table-hover" ng-table="hrictl.tableList">
                        <caption>
                            <div class="block">
                                <div class="panel-table">
                                    <div class="panel-row">
                                        <div class="panel-col col-toolbar">
                                            <div class="toolbar">
                                                <a enter class="btn black f5 nomargin-left" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['search'])"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        hrictl.search.showForm = !hrictl.search.showForm
                                                    ">
                                                    <i class="fa {{ hrictl.search.showForm ? 'fa-search-minus' : 'fa-search-plus' }} white f9 top5"></i>
                                                </a>
                                                <a enter class="btn black f5" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['filter'])"
                                                    ng-class="{
                                                        'disabled': hrictl.table.hide
                                                    }"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        hrictl.table.filter.showForm = !hrictl.table.filter.showForm
                                                    ">
                                                    <i class="fa fa-filter white f9"></i>
                                                </a>
                                                <a enter class="btn btn-text default-bg" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['confirm'])"
                                                    ng-class="{
                                                        'disabled': hrictl.table.hide
                                                    }"
                                                    ng-click="
                                                        $utilServ.doBlur($event);
                                                        hrictl.saveChange.action()
                                                    ">
                                                    <i class="fa fa-check-square-o white f9 nopadding-top"></i>
                                                    <span class="{{ $appServ.labelStyle }} regular white f10-5 text-left">
                                                        {{ $appServ.getLabel(['confirm']) }}
                                                    </span>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="panel-col col-recordcount text-right nopadding-top"
                                            ng-show="!hrictl.tableList.settings().$loading"
                                            ng-if="!hrictl.table.hide">
                                            <span class="{{ $appServ.labelStyle }} regular black f11">
                                                {{ $utilServ.getRecordCount(hrictl.tableList.totalSearch, hrictl.tableList.total(), $dictServ.dict) }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="search dialogin" ng-if="hrictl.search.showForm">
                                <div class="panel noborder">
                                    <div class="panel-heading block">
                                        <div class="panel-title text-left">
                                            <span class="{{ $appServ.labelStyle }} bold black f10">
                                                {{ $appServ.getLabel(['search']) }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="panel-body block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular black f10">
                                                                {{ $appServ.getLabel(['HRi', 'table', 'firstName']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text" ng-model="hrictl.search.formField.firstName" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="panel-col nopadding-right">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular black f10">
                                                                {{ $appServ.getLabel(['HRi', 'table', 'lastName']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text" ng-model="hrictl.search.formField.lastName" />
                                                            </div>
                                                        </div>
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left nopadding-bottom"></div>
                                                            <div class="form-col input-col text-right nopadding-bottom">
                                                                <div class="btn-command">
                                                                    <span>
                                                                        <a enter class="{{ $appServ.labelStyle }} regular black f10 btn btn-transparent nomargin-left" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['search'])"
                                                                            ng-class="{
                                                                                'disabled': !hrictl.search.isFormChanged
                                                                            }"
                                                                            ng-click="
                                                                                $utilServ.doBlur($event);
                                                                                hrictl.search.action()
                                                                            ">
                                                                            {{ $appServ.getLabel(['search']) }}
                                                                        </a>
                                                                        <a enter class="{{ $appServ.labelStyle }} regular black f10 btn btn-transparent" href="javascript:void(0)" uib-tooltip-html="$appServ.getLabel(['discard'])"
                                                                            ng-class="{
                                                                                'disabled': !hrictl.search.isFormChanged
                                                                            }"
                                                                            ng-click="
                                                                                $utilServ.doBlur($event);
                                                                                hrictl.search.resetValue()
                                                                            ">
                                                                            {{ $appServ.getLabel(['discard']) }}
                                                                        </a>
                                                                    </span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="filter dialogin" ng-if="hrictl.table.filter.showForm">
                                <div class="panel noborder">
                                    <div class="panel-heading block">
                                        <div class="panel-title text-left">
                                            <span class="{{ $appServ.labelStyle }} bold white f10">
                                                {{ $appServ.getLabel(['filter']) }}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="panel-body block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col nopadding-right">
                                                    <div class="form vertical">
                                                        <div class="form-row">
                                                            <div class="form-col label-col text-left {{ $appServ.labelStyle }} regular white f10">
                                                                {{ $appServ.getLabel(['keyword']) }}
                                                            </div>
                                                            <div class="form-col input-col text-left">
                                                                <input enter smart-textbox class="form-control inputbox font-en regular black f10" type="text"
                                                                    ng-model="hrictl.table.filter.formField.keyword"
                                                                    ng-disabled="hrictl.tableList.totalSearch === 0"
                                                                />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </caption>
                        <thead class="table-data">
                            <tr>
                                <th class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['order']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-selectall">
                                    <div class="block">
                                        <div class="icheck-default">
                                            <input class="inputcheckbox" type="checkbox" id="checkall"
                                                   ng-model="hrictl.table.formField.checkboxes.checked"
                                                   ng-change="hrictl.checkboxChildOnOffByRoot()" />
                                            <label for="checkall"></label>
                                        </div>
                                    </div>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-fullname">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['HRi', 'table', 'fullName']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-position">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['HRi', 'table', 'position']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-bottom noborder-left col-department">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['HRi', 'table', 'department']) }}
                                    </span>
                                </th>
                                <th class="noborder-top noborder-right noborder-bottom col-organization">
                                    <span class="{{ $appServ.labelStyle }} bold white f10 block">
                                        {{ $appServ.getLabel(['HRi', 'table', 'organization']) }}
                                    </span>
                                </th>
                                <th class="colwrap colwrap1 noborder text-left" colspan="6">
                                    <div class="block">
                                        <div class="panel-table">
                                            <div class="panel-row">
                                                <div class="panel-col">
                                                    <div class="radio-row">
                                                        <ul>
                                                            <li class="radio-col input-col nopadding-top nopadding-bottom">
                                                                <div class="icheck-default">
                                                                    <input class="inputcheckbox" type="checkbox" id="checkall"
                                                                           ng-model="hrictl.table.formField.checkboxes.checked"
                                                                           ng-change="hrictl.checkboxChildOnOffByRoot()" />
                                                                    <label for="checkall"></label>
                                                                </div>
                                                            </li>
                                                            <li class="radio-col label-col nopadding-top nopadding-bottom">
                                                                <div class="label-tab">
                                                                    <span class="{{ $appServ.labelStyle }} bold white f10">
                                                                        {{ $appServ.getLabel(['selectAll']) }}
                                                                    </span>
                                                                </div>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </th>
                            </tr>
                        </thead>
                        <tbody class="table-data" ng-repeat="dr in $data">
                            <tr ng-if="!hrictl.table.hide">
                                <td class="noborder-top noborder-bottom noborder-left col-index">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['order'])">
                                        {{ $utilServ.getOrderIndex(hrictl.tableList, $index) }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-selectall">
                                    <div class="block">
                                        <div class="icheck-default">
                                            <input class="inputcheckbox" type="checkbox" id="{{ 'check' + dr.id }}"
                                                   ng-model="hrictl.table.formField.checkboxes.items[dr.id]"
                                                   ng-change="hrictl.checkboxRootOnOffByChild()" />
                                            <label for="{{ 'check' + dr.id }}"></label>
                                        </div>
                                    </div>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-fullname text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['HRi', 'table', 'fullName'])">
                                        {{ dr.fullName[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-position text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['HRi', 'table', 'position'])">
                                        {{ dr.position.name[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-bottom noborder-left col-department text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['HRi', 'table', 'department'])">
                                        {{ dr.department.name[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="noborder-top noborder-right noborder-bottom col-organization text-left">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block" uib-tooltip-html="$appServ.getLabel(['HRi', 'table', 'organization'])">
                                        {{ dr.organization.name[$utilServ.lang] }}
                                    </span>
                                </td>
                                <td class="colwrap colwrap1 noborder" colspan="6">
                                    <div class="view block">
                                        <div class="iform">
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <div class="icheck-default">
                                                        <input class="inputcheckbox" type="checkbox" id="{{ 'check' + dr.id }}"
                                                               ng-model="hrictl.table.formField.checkboxes.items[dr.id]"
                                                               ng-change="hrictl.checkboxRootOnOffByChild()" />
                                                        <label for="{{ 'check' + dr.id }}"></label>
                                                    </div>
                                                </div>
                                                <div class="iform-col label-col nopadding-top colhead"></div>
                                                <div class="iform-col input-col nopadding-top"></div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['order']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ $utilServ.getOrderIndex(hrictl.tableList, $index) }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['HRi', 'table', 'fullName']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.fullName[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['HRi', 'table', 'position']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.position.name[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['HRi', 'table', 'department']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.department.name[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="iform-row">
                                                <div class="iform-col label-col text-left nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        {{ $appServ.getLabel(['HRi', 'table', 'organization']) }}
                                                    </span>
                                                </div>
                                                <div class="iform-col label-col text-center nopadding-top colhead">
                                                    <span class="{{ $appServ.labelStyle }} bold black f11">
                                                        :
                                                    </span>
                                                </div>
                                                <div class="iform-col input-col text-left nopadding-top">
                                                    <span class="{{ $appServ.labelStyle }} regular black f11">
                                                        {{ dr.organization.name[$utilServ.lang] }}
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                        <tfoot
                            ng-show="
                                hrictl.tableList.totalSearch !== undefined &&
                                !hrictl.tableList.settings().$loading
                            ">
                            <tr ng-if="!hrictl.table.hide">
                                <td class="noborder-top noborder-right noborder-bottom noborder-left" colspan="6">
                                    <span class="{{ $appServ.labelStyle }} regular black f11 block">
                                        {{ $utilServ.getRecordCount(hrictl.tableList.totalSearch, hrictl.tableList.total(), $dictServ.dict) }}
                                    </span>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>